CVE-2004-1131
CVSS7.2
发布时间 :2005-02-07 00:00:00
修订时间 :2008-09-10 15:29:15
NMCOS    

[原文]Multiple buffer overflows in the enable command for SCO OpenServer 5.0.6 and 5.0.7 allow local users to execute arbitrary code via long command line arguments.


[CNNVD]SCO OpenServer 启用命令本地缓冲区溢出漏洞(CNNVD-200502-005)

        SCO OpenServer是一款关系数据库管理软件。
        SCO OpenServer 5.0.6和5.0.7启用命令中的多个缓冲区溢出,可让本地用户通过长命令行参数执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sco:openserver:5.0.6
cpe:/o:sco:openserver:5.0.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1131
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1131
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200502-005
(官方数据源) CNNVD

- 其它链接及资源

ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2005.13/SCOSA-2005.13.txt
(VENDOR_ADVISORY)  SCO  SCOSA-2005.13
http://xforce.iss.net/xforce/xfdb/19243
(UNKNOWN)  XF  openserver-enable-bo(19243)
http://www.securityfocus.com/bid/12474
(UNKNOWN)  BID  12474

- 漏洞信息

SCO OpenServer 启用命令本地缓冲区溢出漏洞
高危 缓冲区溢出
2005-02-07 00:00:00 2005-10-20 00:00:00
本地  
        SCO OpenServer是一款关系数据库管理软件。
        SCO OpenServer 5.0.6和5.0.7启用命令中的多个缓冲区溢出,可让本地用户通过长命令行参数执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        SCO Open Server 5.0.6
        SCO VOL.000.000
        ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2005.13/VOL.000.000
        SCO SCOSA-2005.13OpenServer 5.0.6OpenServer 5.0.7
        ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2005.13
        SCO Open Server 5.0.7
        SCO SCOSA-2005.13OpenServer 5.0.6OpenServer 5.0.7
        ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2005.13
        SCO 507mp3_vol.tarRead the Maintenance Pack 3 Release and Installation Notes atftp://ftp.sco.com/pub/openserver5/507/mp/mp3/osr507mp3.txt
        ftp://ftp.sco.com/pub/openserver5/507/mp/mp3/507mp3_vol.tar

- 漏洞信息

13618
SCO OpenServer enable Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-02-07 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

SCO OpenServer Enable And Disable Multiple Local Buffer Overflow Vulnerabilities
Boundary Condition Error 12474
No Yes
2005-02-08 12:00:00 2007-02-21 06:26:00
The individual or individuals responsible for the discovery of this issue are currently unknown; the vendor disclosed this issue.

- 受影响的程序版本

SCO Open Server 5.0.7
SCO Open Server 5.0.6 a
SCO Open Server 5.0.6

- 漏洞讨论

Multiple local buffer-overflow vulnerabilities affect SCO OpenServer enable/disable utilities. These issues occur because the application fails to securely copy user-supplied data into sensitive process buffers.

Note that unprivileged users are not permitted to execute the 'enable' and 'disable' utilities. Therefore, attackers must be users who have been assigned the 'lp' privilege by an administrator prior to being able to execute the affected utility and exploit this issue.

An attacker may leverage this issue to execute arbitrary code with the privileges of the superuser. This may facilitate privilege escalation.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: mailto:vuldb@securityfocus.com.

- 解决方案

SCO has released advisory SCOSA-2005.13 along with fixes dealing with this issue. Please see the referenced advisory for more information.


SCO Open Server 5.0.6

SCO Open Server 5.0.7

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站